質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.91%

rbenvでrubyのバージョン確認ができない

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 275

tenshinhan

score 1

最終的にはrailsをバージョンアップしたかったのですが…

数年前に構築したきり放置していたCentOS上で、古くなったrailsのバージョンアップをしたかったのですが、

brewをインストールしたい
→rubyのバージョン的に無理そう
→rubyをアップデートできない
→rbenvとruby-buildをアップデート
→新しいバージョンのrubyをインストールして古い方をアンインストール
→というかCentOSのバージョンが古過ぎる
→何も考えずcentOSをアップデートしてしまう
→とりあえずもう一度rubyのバージョン確認しよう
→できない!!!! ←今ココです

発生している問題・エラーメッセージ

$ ruby -v
rbenv: version `2.3.1' is not installed (set by /home/vagrant/.rbenv/version)
'確か古い方のアンインストールしたrubyのバージョンが2.3.1だった気がします…

rbenvのバージョン

$ rbenv --version
rbenv 1.1.2-30-gc879cb0

試したこと

とりあえずgit pullでバージョンアップしてみましたが、そもそもその前に自分でバージョンアップしてたので「もうしてます」と言われました。
多分CentOSで全部アップデートしてしまったので、どこかで何かが起きたのだと思います。何が起きたのかは自分ではまったく分からず困っています。

とりあえず

とりあえず、今仮想環境上に保存してあるありとあらゆるファイルは全て必要ないのでどうなっても構いません。
新しいバージョンののrailsが使って開発ができればそれで大丈夫です。どうぞよろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

rbenv versions すると install されている(はずの)versionと起動されるversionが表示されます。2.3.1 以外がinstallされているようでしたら
rbenv local version
もしくは rbenv global VERSION
してみてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/07/04 23:12

    コメントありがとうございます。
    実行してみたところ以下のようになりました。

    $ rbenv local version
    rbenv: version `version' not installed
    $ rbenv global VERSION
    rbenv: version `VERSION' not installed

    versionがインストールされていない、ということで自分で色々と調べてみたのですが今のところ分からないので、もし何かアドバイスがあれば教えて頂けると大変助かります…。

    キャンセル

  • 2020/07/05 07:43

    rbenv versions してみると例えば
    2.2.6
    * 2.5.1 (set by /opt/www/Doshin/doshin-edi-renkei/.ruby-version)
    2.5.5
    2.6.1
    2.6.3
    こんなふうに表示されます。そこでたとえば
    rbenv local 2.6.1
    の様にしてください

    キャンセル

  • 2020/07/07 12:22

    お返事遅くなってしまい大変申し訳ありません。上記の通り実行してみたところ、バージョンを確認することができました。ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.91%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る